Debian Bug report logs - #689736
ITP: pd-fftease -- live spectral sound processors for Pd

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hans-Christoph Steiner <hans@eds.org>

Date: Fri, 5 Oct 2012 18:09:01 UTC

Owned by: "Hans-Christoph Steiner" <hans@eds.org>

Severity: wishlist

Fixed in version pd-fftease/2.5.2.git20121005-1

Done: Hans-Christoph Steiner <hans@eds.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>:
Bug#689736; Package wnpp. (Fri, 05 Oct 2012 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>. (Fri, 05 Oct 2012 18:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pd-fftease -- live spectral sound processors for Pd
Date: Fri, 05 Oct 2012 14:06:03 -0400
Package: wnpp
Severity: wishlist
Owner: "Hans-Christoph Steiner" <hans@eds.org>


* Package name    : pd-fftease
  Version         : 2.5.2.1
  Upstream Author : Eric Lyon and Christopher Penrose
* URL             : http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/MaxMSP/FFTease/
* License         : MIT
  Programming Lang: C
  Description     : live spectral sound processors for Pd

 FFTease is a collection of Pd objects implementing various forms of
 spectral sound processing. These include an additive-synthesis phase vocoder,
 noise reduction, cross synthesis, and more unusual forms of spectral
 processing.
 .
  * bthresher~ similar to thresher~ but with more control
  * burrow~ a cross-referenced filtering object
  * cavoc~ an 8-rule cellular automata that generates spectra
  * cavoc27~ a 27-rule cellular automata object
  * centerring~ a spectral modulation object
  * codepend~ a classic block convolution object
  * crossx~ a cross synthesis object with gating
  * dentist~ a partial knockout object
  * disarrain~ an interpolating version of disarray~
  * disarray~ a spectral redistribution object
  * drown~ a noise reduction (or increase) object
  * ether~ another spectral compositing object
  * leaker~ a sieve-based cross fader
  * mindwarp~ a spectral formant warping object
  * morphine~ a morphing object
  * multyq~ a four band filter
  * presidency~ a spectral sampler with pitch control
  * pvcompand~ a spectral compressor/expander object
  * pvgrain~ a spectrum analyzer for granular resynthesis
  * pvharm~ a harmonizer
  * pvoc~ an additive synthesis phase vocoder
  * pvtuner~ a spectrum quantizer for tuning to arbitrary scales
  * pvwarp~ a non-linear frequency warper
  * reanimator~ an audio texture mapper
  * resent~ similar to residency~ but with independent bin control
  * residency~ a spectral sampler useful for time scaling
  * residency_buffer~ a spectral sampler that writes to an MSP buffer
  * scrape~ a noise reduction (or increase) object with frequency control
  * shapee~ a frequency shaping object
  * swinger~ a phase swapping object
  * taint~ a cross synthesis object
  * thresher~ an amplitude/frequency sensitive gating object
  * vacancy~ a spectral compositing object
  * xsyn~ a cross synthesis with compression object
 .
 FFTease 2.5 objects will reconfigure themselves in response to changes in FFT
 size or signal vector size. Therefore, they may now be used in MaxMSP poly~
 objects with downsampling or upsampling. Changes in vector size remain
 subject to limitations imposed by the current poly~ (and Pluggo)
 architecture.
 .
 Caveat: these objects are CPU intensive. A few of these objects in a patch
 could push your computer to its limits. Be very careful with playback volume
 as some of the objects produce dramatically different (lower or higher)
 overall levels.
 .
 Acknowledgements: This work draws heavily on the phase vocoder code presented
 by F. Richard Moore in his classic "Elements of Computer Music." Additional
 inspiration was derived from work on cross synthesis and noise reduction by
 Mark Dolson at CARL in the mid-1980s. We also wish to thank Miller Puckette
 and David Zicarelli for designing and implementing the framework under which
 FFTease is presented.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>:
Bug#689736; Package wnpp. (Sat, 29 Dec 2012 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>. (Sat, 29 Dec 2012 02:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 689736@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 689736@bugs.debian.org
Subject: URL updates
Date: Fri, 28 Dec 2012 21:32:51 -0500
The debian packaging is here:
http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-fftease.git;a=summary

The repackaging into a clean tarball is here:
https://github.com/pd-projects/fftease



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 29 Dec 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Hans-Christoph Steiner <hans@eds.org>:
You have taken responsibility. (Wed, 03 Apr 2013 19:03:10 GMT) Full text and rfc822 format available.

Notification sent to Hans-Christoph Steiner <hans@eds.org>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 19:03:10 GMT) Full text and rfc822 format available.

Message #17 received at 689736-close@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 689736-close@bugs.debian.org
Subject: Bug#689736: fixed in pd-fftease 2.5.2.git20121005-1
Date: Wed, 03 Apr 2013 19:00:04 +0000
Source: pd-fftease
Source-Version: 2.5.2.git20121005-1

We believe that the bug you reported is fixed in the latest version of
pd-fftease, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689736@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hans-Christoph Steiner <hans@eds.org> (supplier of updated pd-fftease package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 28 Dec 2012 21:27:55 -0500
Source: pd-fftease
Binary: pd-fftease
Architecture: source amd64
Version: 2.5.2.git20121005-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Hans-Christoph Steiner <hans@eds.org>
Description: 
 pd-fftease - live spectral sound processors for Pd
Closes: 689736
Changes: 
 pd-fftease (2.5.2.git20121005-1) unstable; urgency=low
 .
   * Initial release (Closes: #689736)
Checksums-Sha1: 
 87e9e134d4d2317e76cb707cf2cad1efd421d8e5 2168 pd-fftease_2.5.2.git20121005-1.dsc
 ab14b44110ec930e3dd1b9aaa074695f474ed9d4 234656 pd-fftease_2.5.2.git20121005.orig.tar.gz
 00c9a45b5b4d3b489d991ffa30a51ba60405ec84 3195 pd-fftease_2.5.2.git20121005-1.debian.tar.gz
 796ef8521ceb4ecb492cf9c3f4cb16d6cab160af 523078 pd-fftease_2.5.2.git20121005-1_amd64.deb
Checksums-Sha256: 
 efb3832f5341727238586839ac3221cee3b8dde97261f9a5f33641c4ba8167b2 2168 pd-fftease_2.5.2.git20121005-1.dsc
 7baac586c1a954838a46983069d44c5dac5fdcc42ffb95872f0fe9b1e68f6a9b 234656 pd-fftease_2.5.2.git20121005.orig.tar.gz
 2c0ce91154e4fc845249b4ffab6b5bfd23f38a2f1ebcd8ce1e853fae88750275 3195 pd-fftease_2.5.2.git20121005-1.debian.tar.gz
 4350f8e4097310e83eaccff76aa0c37932853b4a77aef29859e4498bb4613481 523078 pd-fftease_2.5.2.git20121005-1_amd64.deb
Files: 
 5624ae9423842cfcbe9c5111cf2e3da7 2168 sound optional pd-fftease_2.5.2.git20121005-1.dsc
 52bef237a83e8144e3690a51bd2cb5f5 234656 sound optional pd-fftease_2.5.2.git20121005.orig.tar.gz
 8b454f0516496c184feed3edd80deaba 3195 sound optional pd-fftease_2.5.2.git20121005-1.debian.tar.gz
 9fb53b0c9cd1544c53f5e33092c6c683 523078 sound optional pd-fftease_2.5.2.git20121005-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: GPGTools - http://gpgtools.org

iQIcBAEBCAAGBQJQ3mA3AAoJEJ8P5Yc3S76BEg0QAIOOg5/QjFRrgk80O8NyaV55
OULNGeWo1WC+Nk8oI1bq42Tb0I0CCslvalVJtmmcWwi7BKjBaQjpd97AiYl4lugN
KWSetwEpde9mqJ6+PPXRnB8EHb+sLrhsbfDINFAlAwCTi3SDIqoXd3HEKihh3U3G
+28htxqL/9ofTIdKB5Y7JXwSk4Y7cHjZ0VLXRa822y9ZpvSO8mTIdl10XAjilO0c
Ivzvi6eO5vNqsqYw0IRsqWVK72ZAqZUNswUQNCY3MItYg9SzjQFnftPKI8QMtxzR
8UcZsKqXdNipe0rOkRPanW6Jhv64VZHRq+Wjm10PmlITkoov3RYrZc3NFV88rpUL
2XMjPuJ0pOH2u4z/a/hyQqQZNKeGKEQSOM6FRS7TOwksB5ZHFdlorYwdswKF+Pa7
h1our6tnnyQktnQoPc3VE7Hd5PMebOcYoROMkvYyc8E4ooY+UH2lk3tH1S6ITNoD
K/tvcuUEc4/zYtBB3F18CIMc3hc2MUbzVxKgLTVU+23NLc3kVXllaYFLecf18lPE
AyNF7Yp9P6nn04/bn+t4ZhAh5LEjGQeAAo8R21Q+b+zWobLAmqY7CRJxKIZFg7eP
Ub69WAmXn5agl7+SeaGNCGp6jLdA7lcpc7ykOAdJAXEfwrcIhAyiz7CevlrdhFhK
8j4v4YhA0BtLM3g1N87L
=8EdM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:28:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:45:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.